{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "version": 1,
  "newProjectRoot": "projects",
  "projects": {
    "design-system": {
      "projectType": "library",
      "root": "projects/design-system",
      "sourceRoot": "projects/design-system/src",
      "prefix": "agc",
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:ng-packagr",
          "options": {
            "tsConfig": "projects/design-system/tsconfig.lib.json",
            "project": "projects/design-system/ng-package.json"
          },
          "configurations": {
            "production": {
              "tsConfig": "projects/design-system/tsconfig.lib.prod.json"
            }
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "projects/design-system/src/test.ts",
            "tsConfig": "projects/design-system/tsconfig.spec.json",
            "karmaConfig": "projects/design-system/karma.conf.js"
          }
        },
        "lint": {
          "builder": "@angular-devkit/build-angular:tslint",
          "options": {
            "tsConfig": [
              "projects/design-system/tsconfig.lib.json",
              "projects/design-system/tsconfig.spec.json"
            ],
            "exclude": [
              "**/node_modules/**"
            ]
          }
        }
      }
    }},
  "cli": {
    "analytics": false
  },
  "defaultProject": "design-system"
}